Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.coding
Class NestedForDepthCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.AbstractNestedDepthCheck
                      com.puppycrawl.tools.checkstyle.checks.coding.NestedForDepthCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public final class NestedForDepthCheck

extends AbstractNestedDepthCheck

Check the number of nested `for` -statements. The maximum number of nested layers can be configured. The default value is 1. Most of the logic is implemented in the parent class. The code for the class is copied from the NestedIfDepthCheck-class. The only difference is the intercepted token (for instead of if). Example:

      <!-- Restricts nested for blocks to a specified depth (default = 1).
                                                                            -->
      <module name="com.puppycrawl.tools.checkstyle.checks.coding
                                                .CatchWithLostStackCheck">
        <property name="severity" value="info"/>
        <property name="max" value="1"/>
      </module>

Author:
  Alexander Jesse
See Also:
  `AbstractNestedDepthCheck`, `NestedIfDepthCheck`

Constructor Summary
`NestedForDepthCheck()` Creates new check instance with default allowed nesting depth.

Method Summary
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `leaveToken(DetailAST aAST)` Called after all the child nodes have been process.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.coding.AbstractNestedDepthCheck
`beginTree, getMax, getRequiredTokens, nestIn, nestOut, setMax`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedForDepthCheck

    public NestedForDepthCheck()

  Creates new check instance with default allowed nesting depth.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### leaveToken

    public void leaveToken(DetailAST aAST)

  Description copied from class: `Check`
  Called after all the child nodes have been process.

  Overrides:
    `leaveToken` in class `Check`
  Parameters:
    `aAST` - the token leaving

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.